Bug 116229 - Nautilus from FC 2 should require libgnomeui from FC 2
Nautilus from FC 2 should require libgnomeui from FC 2
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2004-02-19 04:59 EST by Göran Uddeborg
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-04 10:50:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2004-02-19 04:59:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
I did an upgrade of nautilus to the version from FC 2 test.  I did
upgrade everything required by RPM, but not much more.

Nautilus promptly crashes.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Upgrade to nautilus from FC 2 test 1, including all dependencies.
2.Start nautilus.

Actual Results:  Nautilus crashes.

Expected Results:  A brand new version of nautilus! :-)

Additional info:

The crash happens in libgnomeui, which was still from FC 1
(libgnomeui-  More precisely, it crashes in the function
gnome_icon_theme_rescan_if_needed() from file gnome-icon-theme.c on
the line "dir_mtime = d->data;".  The pointer d here has the value
0x11, which obviously is incorrect.

I did not investigate further than this.  Presumably, the library
version is simply not compatible, although the so-name doesn't
indicate this.  I guess the proper solution would be to add a
"Requires: libgnomeui >= 2.5.3" to nautilus.
Comment 1 Alexander Larsson 2004-02-25 03:55:47 EST
fix in cvs, will be in the next rebuild.

Note You need to log in before you can comment on or make changes to this bug.